이 콘텐츠는 선택한 언어로 제공되지 않습니다.
8.2. List Teams
Description
Get a list of teams that you are a member of.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/teams |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/teams --user user@example.com:password
JSON Response
The API returns a list of all teams that you are a member of. The related resource links returned by the API have been left out for brevity.
{
"api_version": 1.6,
"data": [
{
"id": "5333d8b2a9429d1c3e0000ae",
"links": {
"GET": {
"href": "https://openshift.redhat.com/broker/rest/team/5333d8b2a9429d1c3e0000ae",
"method": "GET",
"optional_params": [
],
"rel": "Get team",
"required_params": [
]
},
........
},
"name": "myteam"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"index": null,
"severity": "info",
"text": "Listing teams for user user@example.com"
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "teams",
"version": "1.6"
}